Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Public Attributes
VariableKeyLength< D, N, M, Q, IV_REQ, IV_L > Class Template Reference

support query of variable key length, template parameters are default, min, max, multiple (default multiple 1) More...

`#include <seckey.h>`

List of all members.

## Static Public Member Functions

static size_t | StaticGetValidKeyLength (size_t n)

## Static Public Attributes

static const int | MIN_KEYLENGTH = N
static const int | MAX_KEYLENGTH = M
static const int | DEFAULT_KEYLENGTH = D
static const int | KEYLENGTH_MULTIPLE = Q
static const int | IV_REQUIREMENT = IV_REQ
static const int | IV_LENGTH = IV_L

## Detailed Description

### template<unsigned int D, unsigned int N, unsigned int M, unsigned int Q = 1, unsigned int IV_REQ = SimpleKeyingInterface::NOT_RESYNCHRONIZABLE, unsigned int IV_L = 0>
class VariableKeyLength< D, N, M, Q, IV_REQ, IV_L >

support query of variable key length, template parameters are default, min, max, multiple (default multiple 1)

Definition at line 80 of file seckey.h.

The documentation for this class was generated from the following file:

- seckey.h